Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.search
Interface BioPattern

All Known Implementing Classes:
  MaxMismatchPattern, SeqContentPattern

    public interface BioPattern

Author:
  Matthew Pocock

Method Summary
`BioMatcher` | `matcher(SymbolList symList)` Get a matcher that will use these parameters to search a SymbolList.

Method Detail

### matcher

    BioMatcher matcher(SymbolList symList)
                       throws IllegalAlphabetException

  Get a matcher that will use these parameters to search a SymbolList.

  The resulting BioMatcher is independant of this BioPattern. In particular, calling any mutator methods on this pattern will not affect the matcher.

  Parameters:
    `symList` - the SymbolList to match against
  Returns:
    a BioMatcher that will perform the search
  Throws:
    `IllegalAlphabetException` - if symList is not over the right alphabet

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD